Bug 80832 - display put to sleep before init completes (& stays black)
Summary: display put to sleep before init completes (& stays black)
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All All
: medium major
Assignee: Jesse Barnes
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-02 21:51 UTC by Felix Miata
Modified: 2017-07-24 22:53 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg from remote login openSUSE 3.16.0-rc2-5.g19015a0-vanilla (55.30 KB, text/plain)
2014-07-02 21:51 UTC, Felix Miata
no flags Details
dmesg with drm.debug=6 using OK 3.12 kernel desktop (73.77 KB, text/plain)
2014-07-02 22:12 UTC, Felix Miata
no flags Details
remote login dmesg with drm.debug=6 using failing 3.16 kernel vanilla (60.39 KB, text/plain)
2014-07-02 22:12 UTC, Felix Miata
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Miata 2014-07-02 21:51:40 UTC
Created attachment 102166 [details]
dmesg from remote login openSUSE 3.16.0-rc2-5.g19015a0-vanilla

Downstream bug I filed yesterday before testing with openSUSE 3.16 kernel:
https://bugzilla.redhat.com/show_bug.cgi?id=1115241

Gfxchips causing display sleep that does not occur with radeon or nvidia video:
i845G
i865G
i915G
i945G (current attachment)
i4000 series

32 bit and 64 bit kernels produce same behavior.

Prior failing kernel:
kernel-3.16.0-0.rc2.git0.1.fc21

Recent working kernel (plus all 3.15 tested):
kernel-3.16.0-0.rc2.git2.1.fc21 and all of 3.15.*

Latest failing kernels:
kernel-3.16.0-0.rc3.git0.1.fc21
openSUSE 3.16.0-rc2-5.g19015a0-vanilla
on:
VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)

Latest failing cmdline:
ipv6.disable=1 net.ifnames=0 noresume splash=verbose vga=791 video=1024x768@60 3

I try to keep all instances of *lymout* off my installations (but sometimes they sneak in). Normally I have vga=791 video=1024x768@60 on my cmdlines, but removal at runtime has no effect on display sleep. Leaving 3 off or replacing 3 with 5 on cmdline does not help either.
Comment 1 Chris Wilson 2014-07-02 21:58:59 UTC
It lost detected outputs. What outputs are listed in working kernels, which remain when broken? Also setting drm.debug=6 would give much more information in the log. My guess is that the VGA is lost.
Comment 2 Felix Miata 2014-07-02 22:12:17 UTC
Created attachment 102167 [details]
dmesg with drm.debug=6 using OK 3.12 kernel desktop
Comment 3 Felix Miata 2014-07-02 22:12:37 UTC
Created attachment 102168 [details]
remote login dmesg with drm.debug=6 using failing 3.16 kernel vanilla
Comment 4 Chris Wilson 2014-07-02 22:16:11 UTC
int_crt_support 0

Jesse stole your VGA.
Comment 5 Jesse Barnes 2014-07-03 01:08:31 UTC
I gave it back though!  From -nightly:

commit 84b4e042c4707bd1bf05094a51111403d680dc39
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Wed Jun 25 08:24:29 2014 -0700

    drm/i915: only apply crt_present check on VLV
Comment 6 Jani Nikula 2014-07-03 08:04:45 UTC
I just sent a pull request to get this merged to 3.16-rc4 (or -rc5 at the latest).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.